# Luakit Documentation / Modules / completion

# Module `completion`

Command completion

This module provides tab completion for luakit commands. Currently, it supports completing URLs from the user's bookmarks and history, and also supports completing partially typed commands.

## Functions

### completion.exit_completion ()

Return to command mode with original text and with original cursor position.

### completion.update_completions (w, text, pos)

Update the list of completions for some input text.

#### Parameters

- w
  Type: table
  The current window table.
- text
  Type: string
  The current input text.
- pos
  Type: number
  The current input cursor position.

## Attribution

#### Copyright

- 2010–2011 Mason Larobina
- 2010 Fabian Streitel